package top.xinsin.controller;


import com.alibaba.fastjson2.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import top.xinsin.pojo.Account;
import top.xinsin.service.AccountService;
import top.xinsin.util.HttpCodes;
import top.xinsin.util.R;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xinsin
 * @since 2023-04-12
 */
@RestController
@RequestMapping("/account")
public class AccountController {
    @Autowired
    private AccountService accountService;

    @RequestMapping(path = "/changeAccount",method = RequestMethod.POST)
    public R<String> changeAccount(@RequestBody Account account){
        return accountService.changeAccount(account);
    }
    @RequestMapping(path = "/changeStatus",method = RequestMethod.GET)
    public R<String> changeStatus(@RequestParam("userId")Integer userId,@RequestParam("status")Boolean status){
        return accountService.changeStatus(userId,status);
    }
    @RequestMapping(path = "/changePassword",method = RequestMethod.GET)
    public R<String> changePassword(@RequestParam("userId")Integer userId,@RequestParam("oldPassword")String oldPassword,@RequestParam("newPassword") String newPassword){
        return accountService.changePassword(userId,oldPassword,newPassword);
    }
    @RequestMapping(path = "/delUser",method = RequestMethod.GET)
    public R<String> delUser(@RequestParam("id")Integer id){
        return accountService.delUser(id);
    }
    @RequestMapping(path = "/getUser",method = RequestMethod.GET)
    public R<JSONObject> getUser(@RequestParam("page")Integer page,@RequestParam("num")Integer num){
        return accountService.getUser(page,num);
    }
}
