package top.xinsin.controller;


import jakarta.validation.constraints.Pattern;
import org.hibernate.validator.constraints.Length;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import top.xinsin.pojo.Account;
import top.xinsin.service.AccountService;
import top.xinsin.util.R;

import static top.xinsin.util.StringConstant.*;

@Validated
@RestController
@RequestMapping("/api/auth")
public class AuthorizeController {

    @Autowired
    private AccountService accountService;

    @RequestMapping(path = "/register",method = RequestMethod.POST)
    public R<String> register(@Pattern(regexp = USERNAME_REGEX) @Length(min = 3,max = 10) @RequestParam("username") String username,
                              @Pattern(regexp = REL_NAME_REGEX) @RequestParam("relName") String relName,
                              @Pattern(regexp = EMAIL_REGEX) @RequestParam("email") String email,
                              @RequestParam("password") String password,
                              @Pattern(regexp = ID_REGEX) @RequestParam("roleId") Integer roleId){
        Account account = new Account();
        account.setUsername(username);
        account.setPassword(password);
        account.setRelName(relName);
        account.setEmail(email);
        account.setRoleId(roleId);
        return accountService.register(account);
    }
}
